STRUTIL(3X)

NAME
str_find, str_casefind, str_fill, str_lower, str_upper -- string utility functions

SYNOPSIS

#include "str.h"

char *str_find( s1, s2 )
char *s1, *s2 ;

char *str_casefind( s1, s2 )
char *s1, *s2 ;

void str_fill( s, c )
char *s ;
char c ;

char *str_lower( s )
char *s ;

char *str_upper( s )
char *s ;

DESCRIPTION
str_find() returns a pointer to the first instance of string s2 in string s1. If s2 is the empty string a pointer to s1 is returned.

str_casefind() performs the same function as str_find() except that it performs case insensitive character comparisons.

str_fill() fills the string s with the character c.

str_lower() and str_upper() convert their argument in place to a lower or upper case string respectively.

RETURN VALUES

str_find() and str_casefind() return a pointer to the first occurrence of s2 in s1 or NULL if s2 does not exist in s1.

str_lower() and str_upper() return s.